package com.td.WaDa.game.comusers.service;

import com.td.WaDa.common.service.*;
import com.td.WaDa.game.comusers.pojo.ComUsers;
import com.td.WaDa.game.comusers.vo.ComUsersVo;

public interface ComUsersService extends CommonService<ComUsersVo, ComUsers, String> {

    /**
     * 获取游戏用户信息
     * @param userId
     * @return
     */
    ComUsersVo findByUserId(String userId);


    ComUsersVo findByAddress(String address);


    ComUsersVo tranSNBByUserId(Double tranSnb,String userId);

    /**
     * 全部注册数量
     * @return
     */
    Long findAllCount();
    /**
     * 今日新增
     * @return
     */
    Long newToday();
}
